RealmChoiceCallback (Java SE 26 & JDK 26)
Description: declaration: module: java.security.sasl, package: javax.security.sasl, class: RealmChoiceCallback
Keywords: javax.security.sasl.RealmChoiceCallback class

# Class RealmChoiceCallback

java.lang.Object
javax.security.auth.callback.ChoiceCallback
javax.security.sasl.RealmChoiceCallback

All Implemented Interfaces:
  `Serializable, Callback`

public class RealmChoiceCallback extends ChoiceCallback
This callback is used by `SaslClient` and `SaslServer` to obtain a realm given a list of realm choices.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RealmChoiceCallback(String prompt, String[] choices, int defaultChoice, boolean multiple)`
  Constructs a `RealmChoiceCallback` with a prompt, a list of choices and a default choice.

- ## Method Summary

  ### Methods declared in class ChoiceCallback

  `allowMultipleSelections, getChoices, getDefaultChoice, getPrompt, getSelectedIndexes, setSelectedIndex, setSelectedIndexes`
  Modifier and Type
  Method
  Description
  `boolean`
  `allowMultipleSelections()`
  Get the boolean determining whether multiple selections from the `choices` list are allowed.
  `String[]`
  `getChoices()`
  Get the list of choices.
  `int`
  `getDefaultChoice()`
  Get the defaultChoice.
  `String`
  `getPrompt()`
  Get the prompt.
  `int[]`
  `getSelectedIndexes()`
  Get the selected choices.
  `void`
  `setSelectedIndex(int selection)`
  Set the selected choice.
  `void`
  `setSelectedIndexes(int[] selections)`
  Set the selected choices.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### RealmChoiceCallback

    public RealmChoiceCallback(String prompt, String[] choices, int defaultChoice, boolean multiple)
    Constructs a `RealmChoiceCallback` with a prompt, a list of choices and a default choice.
    Parameters:
      `prompt` - the non-null prompt to use to request the realm.
      `choices` - the non-null list of realms to choose from.
      `defaultChoice` - the choice to be used as the default choice when the list of choices is displayed. It is an index into the `choices` array.
      `multiple` - true if multiple choices allowed; false otherwise
    Throws:
      `IllegalArgumentException` - If `prompt` is null or the empty string, if `choices` has a length of 0, if any element from `choices` is null or empty, or if `defaultChoice` does not fall within the array boundary of `choices`